SchedulerUtils (The Data Transfer Scheduler Service 2.0.0-4.2.1-126202 API)
Date: 2017-02-10

org.gcube.datatransfer.scheduler.impl.newhandler

## Class SchedulerUtils

- java.lang.Object
- - org.gcube.datatransfer.scheduler.impl.newhandler.SchedulerUtils

-     public class SchedulerUtils
      extends Object

  Author:
    Nikolaos Drakopoulos(CERN)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchedulerUtils()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.gcube.datatransfer.common.agent.Types.TransferOptions` | `fillTransferOptions(org.gcube.datatransfer.common.options.TransferOptions options)`
    `static void` | `refreshPeriodicallyScheduledTransfer(String transferId, String submitter, org.gcube.datatransfer.scheduler.db.model.Agent agent)`
    `static void` | `updateAgentStatistics(String status, org.gcube.datatransfer.scheduler.db.model.Agent agent)`
    `static void` | `updateStatusAndErrors(String transferId, org.gcube.datatransfer.scheduler.db.model.Agent agent, String status, List<String> errorsInTransfer)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SchedulerUtils

          public SchedulerUtils()

  - ### Method Detail

    - #### updateStatusAndErrors

          public static void updateStatusAndErrors(String transferId,
                                   org.gcube.datatransfer.scheduler.db.model.Agent agent,
                                   String status,
                                   List<String> errorsInTransfer)

    - #### updateAgentStatistics

          public static void updateAgentStatistics(String status,
                                   org.gcube.datatransfer.scheduler.db.model.Agent agent)

    - #### refreshPeriodicallyScheduledTransfer

          public static void refreshPeriodicallyScheduledTransfer(String transferId,
                                                  String submitter,
                                                  org.gcube.datatransfer.scheduler.db.model.Agent agent)

    - #### fillTransferOptions

          public static org.gcube.datatransfer.common.agent.Types.TransferOptions fillTransferOptions(org.gcube.datatransfer.common.options.TransferOptions options)

Copyright © 2017. All Rights Reserved.